Bug 524052 - Boot hang when installing HVM DomU
Summary: Boot hang when installing HVM DomU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Andrew Jones
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 529857 563856 (view as bug list)
Depends On:
Blocks: 524055 525290 526946
TreeView+ depends on / blocked
 
Reported: 2009-09-17 17:34 UTC by Andrew Jones
Modified: 2018-10-27 15:57 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 524055 (view as bug list)
Environment:
Last Closed: 2010-03-30 07:41:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to reslove the bug, masks xsave (1.92 KB, patch)
2009-10-06 13:18 UTC, Andrew Jones
no flags Details | Diff
ver2: mask out xsave and also osxsave (2.10 KB, patch)
2009-10-07 11:50 UTC, Andrew Jones
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Andrew Jones 2009-09-17 17:34:29 UTC
Description of problem:

Attempted to boot a fully virtualized DomU with rawhide's 2.6.31-14.fc12.x86_64 for installation hangs almost immediately.

How reproducible:

100%

Steps to Reproduce:

virt-install \
	--hvm \
	--name=rawhide \
	--ram=2048 \
	--file=/vm/rawhide.img \
	--file-size=8 \
	--location=/mnt/download/fedora/linux/development/x86_64/os

Select install from the boot menu
  
Actual results:

Hangs after printing the following

Loading vmlinuz............
Loading initrd.img................
Probing EDD (edd=off to disable)... ok

Expected results:

boots

Additional info:

There are no logs in xm dmesg

Note, a 32-bit HVM boots and installs on a 32-bit host

Comment 1 Andrew Jones 2009-09-17 17:36:35 UTC
Moving to kernel-xen for now since a 64-bit HVM rawhide boots past this point on an upstream Xen host.

Comment 2 Mark McLoughlin 2009-09-17 19:10:52 UTC
There's no kernel-xen in Fedora - sounds like you need to change the product to RHEL5?

Comment 3 Andrew Jones 2009-09-18 06:36:46 UTC
ah yes, thanks Mark.  Moving to RHEL5.

Comment 4 Andrew Jones 2009-10-06 13:18:00 UTC
Created attachment 363830 [details]
patch to reslove the bug, masks xsave

Comment 5 Andrew Jones 2009-10-07 11:50:35 UTC
Created attachment 363957 [details]
ver2: mask out xsave and also osxsave

Same as previous patch, but as an added precaution OSXSAVE is also masked.

Comment 6 Don Zickus 2009-10-21 19:13:14 UTC
in kernel-2.6.18-170.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 8 Chris Lalancette 2009-10-23 10:28:59 UTC
*** Bug 529857 has been marked as a duplicate of this bug. ***

Comment 9 Chris Ward 2010-02-11 10:16:56 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 10 Paolo Bonzini 2010-02-11 12:38:53 UTC
*** Bug 563856 has been marked as a duplicate of this bug. ***

Comment 11 Andrew Jones 2010-02-11 14:27:03 UTC
Chris,

I both reported and posted this bug, so I don't know if I should be the one setting the verified flag.

thanks,
Andrew

Comment 17 errata-xmlrpc 2010-03-30 07:41:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.